ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0018571ClearOSweb sitepublic2018-01-12 10:192018-03-20 06:59
ReporterNickH 
Assigned Toteamindia 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.4.0 
Target VersionFixed in Version 
Summary0018571: app-attack-detector docs give wrong instructions to unblock an IP
DescriptionThe documentation attached to app-attack-detector, https://www.clearos.com/resources/documentation/clearos/content:en_us:7_ug_attack_detector, [^] contain the wrong instructions in the pink box for unblocking an IP. Those instructions only work with IPS and do not get carried into the ignoreip parameter in fail2ban's jail.conf or jail.local. More detail in the forum report https://www.clearos.com/clearfoundation/social/community/an-error-in-clearos-7-documentation-for-attack-detector. [^]

The fix could either to carry the whitelisting through to jail.conf/jail.local and restart f2b or correct the documentation or provide a whitelist menu and functionality in app-attack-detector (and correct the documentation). If the first route is chosen it is odd having to go to an IPS menu to whitelist something in f2b.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006951)
pbaldwin (administrator)
2018-01-13 03:01

The documentation needs to be updated.
(0007221)
NickH (developer)
2018-03-20 03:26

I updated the doc on 13 Feb 18.

Please close the bug.

- Issue History
Date Modified Username Field Change
2018-01-12 10:19 NickH New Issue
2018-01-13 02:59 pbaldwin Assigned To => teamindia
2018-01-13 02:59 pbaldwin Status new => assigned
2018-01-13 03:00 pbaldwin Category app-attack-detector - Attack Detector => web site
2018-01-13 03:01 pbaldwin Note Added: 0006951
2018-03-20 03:26 NickH Note Added: 0007221
2018-03-20 06:59 pbaldwin Status assigned => resolved
2018-03-20 06:59 pbaldwin Resolution open => fixed
2018-03-20 06:59 pbaldwin Status resolved => closed